## org.apache.axis.components.image
Class ImageIOFactory

    java.lang.Object
      org.apache.axis.components.image.ImageIOFactory

public class ImageIOFactory
extends java.lang.Object

This class implements a factory to instantiate an ImageIO component.

Since:
  2.0
Author:
  Davanum Srinivas

Field Summary
`protected static org.apache.commons.logging.Log` `log`

Constructor Summary
`ImageIOFactory()`

Method Summary
`static ImageIO` `getImageIO()` Get the ImageIO implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### ImageIOFactory

    public ImageIOFactory()

Method Detail

### getImageIO

    public static ImageIO getImageIO()

  Get the ImageIO implementation. This method follows a precedence: 1. Use the class defined by the System property axis.ImageIO. 2. If that isn't set, try instantiating MerlinIO, the JDK 1.4 ImageIO implementation. 3. If that fails try JimiIO, the JIMI ImageIO implementation. 4. If that fails, instantiate the limited JDK13IO implementation.

Copyright © 2005 Apache Web Services Project. All Rights Reserved.